Name:           xscope
Version:        1.1
Release:        2.gitfccbbd6%{?dist}
Summary:        X Window Protocol Viewer

Group:          User Interface/X
License:        BSD
URL:            http://cgit.freedesktop.org/xorg/app/xscope/
Source0:        ftp://ftp.freedesktop.org/pub/xorg/individual/app/%{name}-%{version}.tar.bz2
# git diff --diff-filter=ACMRT xscope-1.1 fccbbd6
Patch0:         xscope-1.1-diff_to_git.patch
# to build on Fedora 10 reduce the xorg-macros required version
Patch1:         xscope-1.1-lessmacros.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xorg-x11-xtrans-devel, xorg-x11-proto-devel
# required for the autoreconf
BuildRequires:  automake, autoconf, xorg-x11-util-macros

%description
xscope sits in-between an X11 client and an X11 server and prints the contents
of each request, reply, error, or event that is communicated between them.
This information can be useful in debugging and performance tuning of X11 
servers and clients.


%prep
%setup -q
%patch0 -p1 -b .diff_to_git
%patch1 -p1 -b .lessmacros
# required for changes in patch0 and patch1
autoreconf -f

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS README COPYING ChangeLog 
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz


%changelog
* Sun Jun 27 2009 Yanko Kaneti <yaneti@declera.com> 1.1-2.gitfccbbd6
- Implement review feedback
- Patch to build on Fedora 10

* Sun Jun 14 2009 Yanko Kaneti <yaneti@declera.com> 1.1-1.gitfccbbd6
- First attempt at packaging.
